from django.contrib.postgres.fields import ArrayField
from django.db import models

from django.contrib.auth.models import Group

class Role(Group):
    uuid = models.CharField(max_length=32)
    description = models.TextField(default=u'')
    details = models.TextField(default=u'')
    emails = ArrayField(models.CharField(max_length=128), default=list)
    emails_to_members = models.BooleanField(default=True)
