from django.contrib import admin

from .models import OzwilloInstance


class OzwilloInstanceAdmin(admin.ModelAdmin):
    list_display = ['id', 'domain_slug', 'external_ozwillo_id', 'state', 'created', 'modified']
    list_filter = ['state', 'created', 'modified']

admin.site.register(OzwilloInstance, OzwilloInstanceAdmin)
