from mellon.adapters import DefaultAdapter

from hobo.environment.models import Authentic

class MellonAdapter(DefaultAdapter):
    def get_identity_providers_setting(self):
        try:
            self_idp = Authentic.objects.get(use_as_idp_for_self=True)
        except Authentic.DoesNotExist:
            return []
        return [{'METADATA_URL': self_idp.get_saml_idp_metadata_url()}]
