import tempfile
TENANT_BASE = tempfile.mkdtemp('hobo-tenant-base')
TENANT_MODEL = 'multitenant.Tenant'
MIDDLEWARE = ('hobo.multitenant.middleware.TenantMiddleware',) + MIDDLEWARE
DATABASES = {
	'default': {
		'ENGINE': 'tenant_schemas.postgresql_backend',
		'NAME':  'test_hobo',
	}
}
DATABASE_ROUTERS = ('tenant_schemas.routers.TenantSyncRouter',)
INSTALLED_APPS = ('hobo.multitenant', 'hobo') + INSTALLED_APPS
SHARED_APPS = ()
TENANT_APPS = INSTALLED_APPS
PROJECT_NAME = 'testing'
